%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-readdirp
Version:    2.0.0
Release:    %mkrel 1
Summary:    Recursive version of Node's fs.readdir with a streaming API
License:    MIT
Group:      System/Libraries
URL:        https://github.com/thlorenz/readdirp
Source0:    https://registry.npmjs.org/readdirp/-/readdirp-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-v%{version}.tar.bz2
Source10:   dl-tests.sh
# https://github.com/thlorenz/readdirp/pull/38
Patch0:         nodejs-readdirp-pause.patch

BuildArch:  noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(graceful-fs)
BuildRequires:  npm(minimatch)
BuildRequires:  npm(readable-stream)
BuildRequires:  npm(tap)
BuildRequires:  npm(through2)
%endif

%description
%{summary}.


%prep
%setup -q -n package
# The NPM tarball is missing some files within test/
rm -rf test/
%setup -q -T -D -a 1 -n package
# Apply patches
%patch0 -p1
# Remove executable bit.
find . -type f -exec chmod -x '{}' \;
# Fix dependencies
%nodejs_fixdep minimatch "^3.0.0"


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/readdirp
cp -pr package.json readdirp.js stream-api.js \
    %{buildroot}%{nodejs_sitelib}/readdirp

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__tap test/*.js
%endif


%files
%doc README.md examples/
%license LICENSE
%{nodejs_sitelib}/readdirp




%changelog
* Sun May 22 2016 tv <tv> 2.0.0-1.mga6
+ Revision: 1017772
- new release

* Tue Feb 09 2016 umeabot <umeabot> 0.4.0-4.mga6
+ Revision: 951156
- Mageia 6 Mass Rebuild

* Tue Dec 09 2014 tv <tv> 0.4.0-3.mga5
+ Revision: 802493
- reenable testsuite

* Wed Oct 29 2014 tv <tv> 0.4.0-1.mga5
+ Revision: 794425
- disable tests for bootstrap
- imported package nodejs-readdirp

